#import <AppKit/AppKit.h>

@interface MyView : NSView
{
    NSWindow * window;
    NSBitmapImageRep * myImage;
    volatile unsigned char * bitmapData;
    NSRect frame;
    int num_threads;
    int max_dwells;
    NSLock *workLock;
    volatile int lastLine;
    int lineTable[16384];
    int drawnTable[16384];
    int height;
    volatile int comp_sequence;
    volatile int total_dwells, acc_dwells;
    double viewX, viewY, viewStep;
    double originX, originY, escapeRadius;
    id threadMenu;
    id dwellMenu;
    id randomizerSwitch;
    id originSwitch;
    id escapeRadiusSlider;
    id clearSwitch;
    NSPoint mouseDownPoint, mouseDragPoint;
    NSRect mouseDragRect;
    BOOL isSelecting, isDragging;
}

- (void) doThreadMenu:(id)sender;
- (void) doDwellMenu:(id)sender;
- (void) startButton:(id)sender;
- (void) resetButton:(id)sender;
- (void) threadMain:(id)arg;
- (void) doResetOriginButton:(id)arg;
@end
